org.codehaus.groovy.runtime

## Class TimeCategory

- java.lang.Object
- - org.codehaus.groovy.runtime.TimeCategory

- Deprecated.
  in favor of `TimeCategory`

      public class TimeCategory
      extends Object

  This class has been moved to a public (i.e. non org.codehaus.* package).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeCategory()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Duration` | `getDay(Integer self)` Deprecated.
    `static Duration` | `getDaylightSavingsOffset(BaseDuration self)` Deprecated.
    `static Duration` | `getDaylightSavingsOffset(Date self)` Deprecated.
    `static Duration` | `getDays(Integer self)` Deprecated.
    `static TimeDuration` | `getHour(Integer self)` Deprecated.
    `static TimeDuration` | `getHours(Integer self)` Deprecated.
    `static TimeDuration` | `getMillisecond(Integer self)` Deprecated.
    `static TimeDuration` | `getMilliseconds(Integer self)` Deprecated.
    `static TimeDuration` | `getMinute(Integer self)` Deprecated.
    `static TimeDuration` | `getMinutes(Integer self)` Deprecated.
    `static DatumDependentDuration` | `getMonth(Integer self)` Deprecated.
    `static DatumDependentDuration` | `getMonths(Integer self)` Deprecated.
    `static Duration` | `getRelativeDaylightSavingsOffset(Date self, Date other)` Deprecated.
    `static TimeDuration` | `getSecond(Integer self)` Deprecated.
    `static TimeDuration` | `getSeconds(Integer self)` Deprecated.
    `static TimeZone` | `getTimeZone(Date self)` Deprecated.
    `static Duration` | `getWeek(Integer self)` Deprecated.
    `static Duration` | `getWeeks(Integer self)` Deprecated.
    `static DatumDependentDuration` | `getYear(Integer self)` Deprecated.
    `static DatumDependentDuration` | `getYears(Integer self)` Deprecated.
    `static Date` | `minus(Date date, BaseDuration duration)` Deprecated.
    `static TimeDuration` | `minus(Date lhs, Date rhs)` Deprecated.
    `static Date` | `plus(Date date, BaseDuration duration)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeCategory

          public TimeCategory()

      Deprecated.

  - ### Method Detail

    - #### plus

          public static Date plus(Date date,
                  BaseDuration duration)

      Deprecated.

    - #### minus

          public static Date minus(Date date,
                   BaseDuration duration)

      Deprecated.

    - #### getTimeZone

          public static TimeZone getTimeZone(Date self)

      Deprecated.

    - #### getDaylightSavingsOffset

          public static Duration getDaylightSavingsOffset(Date self)

      Deprecated.

    - #### getDaylightSavingsOffset

          public static Duration getDaylightSavingsOffset(BaseDuration self)

      Deprecated.

    - #### getRelativeDaylightSavingsOffset

          public static Duration getRelativeDaylightSavingsOffset(Date self,
                                                  Date other)

      Deprecated.

    - #### minus

          public static TimeDuration minus(Date lhs,
                           Date rhs)

      Deprecated.

    - #### getMonths

          public static DatumDependentDuration getMonths(Integer self)

      Deprecated.

    - #### getMonth

          public static DatumDependentDuration getMonth(Integer self)

      Deprecated.

    - #### getYears

          public static DatumDependentDuration getYears(Integer self)

      Deprecated.

    - #### getYear

          public static DatumDependentDuration getYear(Integer self)

      Deprecated.

    - #### getWeeks

          public static Duration getWeeks(Integer self)

      Deprecated.

    - #### getWeek

          public static Duration getWeek(Integer self)

      Deprecated.

    - #### getDays

          public static Duration getDays(Integer self)

      Deprecated.

    - #### getDay

          public static Duration getDay(Integer self)

      Deprecated.

    - #### getHours

          public static TimeDuration getHours(Integer self)

      Deprecated.

    - #### getHour

          public static TimeDuration getHour(Integer self)

      Deprecated.

    - #### getMinutes

          public static TimeDuration getMinutes(Integer self)

      Deprecated.

    - #### getMinute

          public static TimeDuration getMinute(Integer self)

      Deprecated.

    - #### getSeconds

          public static TimeDuration getSeconds(Integer self)

      Deprecated.

    - #### getSecond

          public static TimeDuration getSecond(Integer self)

      Deprecated.

    - #### getMilliseconds

          public static TimeDuration getMilliseconds(Integer self)

      Deprecated.

    - #### getMillisecond

          public static TimeDuration getMillisecond(Integer self)

      Deprecated.